NET FRAMEWORK DATA PROVIDER

 Tópico anterior Próximo tópico Novo tópico

NET FRAMEWORK DATA PROVIDER

ASP.NET

 Compartilhe  Compartilhe  Compartilhe
#480015 - 06/03/2018 09:50:01

PERCIFILHO
MATAO [SP]
Cadast. em:Dezembro/2009


Bom dia pessoal, estou iniciando um projeto Code First utilizando o Entity Framework em MVC5 com banco de dados Sql Server CE 4.0.
Clico para adicionar um novo modelo ADO.NET Entity Data Model e escolho Code First From DataBase, seleciono o banco de dados, testo a conexão e tudo bem.
Quando clico em OK, aparece a mensagem: Unable to find de requested .Net Framework Data Provider. It may not be installed.
Esse problema é do Net Framework que estou usando, que no caso é o 4.6.2 ou o problema seria com com Sql Server CE?
Estou perdido tentando encontrar a solução mas até agora nada.

____________________________________________________
Você sabe que alguém te ama não pelo que ele fala, mas pelo o que faz.
O amor não sobrevive de teorias.




Resposta escolhida #480036 - 06/03/2018 20:32:44

KERPLUNK
RIO GRANDE DO SUL
Cadast. em:Junho/2009


Membro da equipe
Você modificou o data provider na sua app.config? Fica mais ou menos assim:

<connectionStrings>
    <add name="SeuNameSpace.SuaClasse"

    providerName="System.Data.SqlServerCe.4.0"

    connectionString="Data Source=c:\pasta\arquivo.sdf" />
</connectionStrings>


_______________________________________________________________________
Gostaria de ter seu sistema Desktop "traduzido" para uma interface web? Podemos conversar...
Virei Oráculo!
The end is nigh, be ready for the nukes!


#480042 - 07/03/2018 11:33:01

PERCIFILHO
MATAO [SP]
Cadast. em:Dezembro/2009


Grande Kerplunk, alterei e mesmo assim não deu. Meu Web.config está assim:

<?xml version="1.0" encoding="utf-8"?>
<!--
  For more information on how to configure your ASP.NET application, please visit
  http://go.microsoft.com/fwlink/?LinkId=301880
  -->
<configuration>
  <configSections>
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
  </configSections>
  <appSettings>
    <add key="webpages:Version" value="3.0.0.0" />
    <add key="webpages:Enabled" value="false" />
    <add key="ClientValidationEnabled" value="true" />
    <add key="UnobtrusiveJavaScriptEnabled" value="true" />
  </appSettings>
  <system.web>
    <compilation debug="true" targetFramework="4.6.2" />
    <httpRuntime targetFramework="4.6.2" />
    <httpModules>
      <add name="ApplicationInsightsWebTracking" type="Microsoft.ApplicationInsights.Web.ApplicationInsightsHttpModule, Microsoft.AI.Web" />
    </httpModules>
  </system.web>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Optimization" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="1.1.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-1.5.2.14234" newVersion="1.5.2.14234" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-5.2.3.0" newVersion="5.2.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Data.SqlServerCe" publicKeyToken="89845dcd8080cc91" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.codedom>
    <compilers>
      <compiler language="c#;cs;csharp" extension=".cs" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.CSharpCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:6 /nowarn:1659;1699;1701" />
      <compiler language="vb;vbs;visualbasic;vbscript" extension=".vb" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.VBCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:14 /nowarn:41008 /define:_MYTYPE=\"Web\" /optionInfer+" />
    </compilers>
  </system.codedom>
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false" />
    <modules>
      <remove name="ApplicationInsightsWebTracking" />
      <add name="ApplicationInsightsWebTracking" type="Microsoft.ApplicationInsights.Web.ApplicationInsightsHttpModule, Microsoft.AI.Web" preCondition="managedHandler" />
    </modules>
  </system.webServer>
  <entityFramework>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.SqlCeConnectionFactory, EntityFramework">
      <parameters>
        <parameter value="System.Data.SqlServerCe.4.0" />
      </parameters>
    </defaultConnectionFactory>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
      <provider invariantName="System.Data.SqlServerCe.4.0" type="System.Data.Entity.SqlServerCompact.SqlCeProviderServices, EntityFramework.SqlServerCompact" />
    </providers>
  </entityFramework>
  <system.data>
    <DbProviderFactories>
      <remove invariant="System.Data.SqlServerCe.4.0" />
      <add name="Microsoft SQL Server Compact Data Provider 4.0" invariant="System.Data.SqlServerCe.4.0" description=".NET Framework Data Provider for Microsoft SQL Server Compact" type="System.Data.SqlServerCe.SqlCeProviderFactory, System.Data.SqlServerCe, Version=4.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91" />
    </DbProviderFactories>
  </system.data>
  <connectionStrings>
    <add name="Conexao" providerName="System.Data.SqlServer.4.0" connectionString="Data Source=C:\Users\perci\Desktop\LCM\bin\Debug\Lcm.sdf"/>  
  </connectionStrings>
</configuration>

____________________________________________________
Você sabe que alguém te ama não pelo que ele fala, mas pelo o que faz.
O amor não sobrevive de teorias.




#480043 - 07/03/2018 11:46:31

KERPLUNK
RIO GRANDE DO SUL
Cadast. em:Junho/2009


Membro da equipe
Veja bem essa parte:

<connectionStrings>
    <add name="Conexao" providerName="System.Data.SqlServer.4.0" connectionString="Data Source=C:\Users\perci\Desktop\LCM\bin\Debug\Lcm.sdf"/>  
  </connectionStrings>


Qual o provider que você tem ali? Qual o que mostrei?

_______________________________________________________________________
Gostaria de ter seu sistema Desktop "traduzido" para uma interface web? Podemos conversar...
Virei Oráculo!
The end is nigh, be ready for the nukes!


#480044 - 07/03/2018 12:00:29

PERCIFILHO
MATAO [SP]
Cadast. em:Dezembro/2009


Desculpe Kerplunk eu digitei errado, já corrigi mas mesmo assim, aparece a mesma mensagem, temo que eu tenha que desinstalar e re-instalar alguma coisa, pois às vezes é muito demorado. Será que pode haver alguma incompatibilidade entre algumas versões  tanto do .NET Framework ou o SlqServerCe ou mesmo o Windows 8 ou o Data Provider, sei lá, estou ficando maluco já.

____________________________________________________
Você sabe que alguém te ama não pelo que ele fala, mas pelo o que faz.
O amor não sobrevive de teorias.




#480045 - 07/03/2018 12:04:12

PERCIFILHO
MATAO [SP]
Cadast. em:Dezembro/2009


Só uma pergunta, essas tags <connectionStrings> não deveriam ser criadas automaticamente quando eu confirmasse depois de ter definido o nome da conexão e o caminho do banco de dados?

____________________________________________________
Você sabe que alguém te ama não pelo que ele fala, mas pelo o que faz.
O amor não sobrevive de teorias.




#480046 - 07/03/2018 12:11:35

KERPLUNK
RIO GRANDE DO SUL
Cadast. em:Junho/2009


Membro da equipe
Não necessariamente. A pergunta é: porque usar Sql Server Compact Edition ao invés de Express?

_______________________________________________________________________
Gostaria de ter seu sistema Desktop "traduzido" para uma interface web? Podemos conversar...
Virei Oráculo!
The end is nigh, be ready for the nukes!


#480047 - 07/03/2018 12:24:53

PERCIFILHO
MATAO [SP]
Cadast. em:Dezembro/2009


É que eu sempre usei ele e nunca tive problemas (só agora). Mas acho que vou ter que me atualizar. Vou instalar e ver no que dá. No SqlCe eu tinha o banco de dados (.sdf), e enviava junto com a aplicação, e no Express como fica, o cliente tem que ter ele instalado também?

____________________________________________________
Você sabe que alguém te ama não pelo que ele fala, mas pelo o que faz.
O amor não sobrevive de teorias.




#480048 - 07/03/2018 12:32:05

PERCIFILHO
MATAO [SP]
Cadast. em:Dezembro/2009


E tem também a questão de configuração, creio eu, se você ou alguém puder me explicar ou se indicar algum site que auxilie na configuração correta, eu agradeço muito.

____________________________________________________
Você sabe que alguém te ama não pelo que ele fala, mas pelo o que faz.
O amor não sobrevive de teorias.




#480049 - 07/03/2018 13:26:03

KERPLUNK
RIO GRANDE DO SUL
Cadast. em:Junho/2009


Membro da equipe
Você está se referindo à deploy de aplicação com SQL Server Express, veja aqui

_______________________________________________________________________
Gostaria de ter seu sistema Desktop "traduzido" para uma interface web? Podemos conversar...
Virei Oráculo!
The end is nigh, be ready for the nukes!


#480065 - 08/03/2018 13:00:11

PERCIFILHO
MATAO [SP]
Cadast. em:Dezembro/2009


Pois eu instalei o Sql Server 2017 Express e depois reinstalei o VS Community 2015 novamente e aparece a mesma mensagem.
Será que o Sql Express em que ser em uma versão anterior?

____________________________________________________
Você sabe que alguém te ama não pelo que ele fala, mas pelo o que faz.
O amor não sobrevive de teorias.




 Tópico anterior Próximo tópico Novo tópico


Tópico encerrado, respostas não sao permitidas
Encerrado por PERCIFILHO em 31/03/2018 18:58:01